D4Science D4Science Don't have a D4Science account? Create one Could not find what you are looking for? Contact us.

ItemsManager Resource

Manage item retrieval, deletion, and update.

DELETE /items/{id}

Move the specified item to the trash or delete it permanently if it is already trashed.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
force query permanently delete
Possible values: true, false
Optional default: false
Response Codes
code condition
200 Item deleted.
406 Unable to find this item.
500 Unable to delete this item.
Response Body
media type data type description
application/json string (JSON)

Example

Request
DELETE /{id}?force=true
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

GET /items/{id}

Retrieve an item by its id.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
exclude query a list of fields to exclude from the returned item
Multivalued
Optional
Response Codes
code condition
200 Item found.
406 Unable to find this item.
Response Body
media type data type description
application/json ItemWrapper (JSON) a JSON representation of the item

Example

Request
GET /{id}?exclude=content
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "item" : {
    "trashed" : true,
    "externalManaged" : true,
    "shared" : true,
    "locked" : true,
    "publicItem" : true,
    "title" : "...",
    "description" : "...",
    "lastModifiedBy" : "...",
    "lastModificationTime" : 12345,
    "creationTime" : 12345,
    "lastAction" : "RENAMED",
    "hidden" : true,
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "owner" : "...",
    "primaryType" : "...",
    "name" : "...",
    "id" : "...",
    "parentPath" : "...",
    "parentId" : "...",
    "path" : "...",
    "relatedNode" : { }
  }
}
                
              

GET /items/{id}/anchestors

Retrieve the anchestors of a given item.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
exclude query a list of fields to exclude from the returned item list
Multivalued
Optional
Response Codes
code condition
200 Item found.
406 Item does not exist.
Response Body
media type data type description
application/json ItemList (JSON) the list of anchestors

Example

Request
GET /{id}/anchestors?exclude=content
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "trashed" : true,
    "externalManaged" : true,
    "shared" : true,
    "locked" : true,
    "publicItem" : true,
    "title" : "...",
    "description" : "...",
    "lastModifiedBy" : "...",
    "lastModificationTime" : 12345,
    "creationTime" : 12345,
    "lastAction" : "CREATED",
    "hidden" : true,
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "owner" : "...",
    "primaryType" : "...",
    "name" : "...",
    "id" : "...",
    "parentPath" : "...",
    "parentId" : "...",
    "path" : "...",
    "relatedNode" : { }
  }, {
    "trashed" : true,
    "externalManaged" : true,
    "shared" : true,
    "locked" : true,
    "publicItem" : true,
    "title" : "...",
    "description" : "...",
    "lastModifiedBy" : "...",
    "lastModificationTime" : 12345,
    "creationTime" : 12345,
    "lastAction" : "MOVED",
    "hidden" : true,
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "owner" : "...",
    "primaryType" : "...",
    "name" : "...",
    "id" : "...",
    "parentPath" : "...",
    "parentId" : "...",
    "path" : "...",
    "relatedNode" : { }
  } ]
}
                
              

GET /items/{id}/children

Retrieve a list of children items.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path parent item id
exclude query a list of fields to exclude from the returned item
Multivalued
Optional
onlyType query only items of the specified type are counted
Optional
showHidden query if true, hidden items are shown
Possible values: true, false
Optional default: false
Response Codes
code condition
200 Item found.
406 Parent item does not exist.
Response Body
media type data type description
application/json ItemList (JSON) a JSON representation of the item list

Example

Request
GET /{id}/children?showHidden=true&onlyType=File&exclude=content
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "trashed" : true,
    "externalManaged" : true,
    "shared" : true,
    "locked" : true,
    "publicItem" : true,
    "title" : "...",
    "description" : "...",
    "lastModifiedBy" : "...",
    "lastModificationTime" : 12345,
    "creationTime" : 12345,
    "lastAction" : "UPDATED",
    "hidden" : true,
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "owner" : "...",
    "primaryType" : "...",
    "name" : "...",
    "id" : "...",
    "parentPath" : "...",
    "parentId" : "...",
    "path" : "...",
    "relatedNode" : { }
  }, {
    "trashed" : true,
    "externalManaged" : true,
    "shared" : true,
    "locked" : true,
    "publicItem" : true,
    "title" : "...",
    "description" : "...",
    "lastModifiedBy" : "...",
    "lastModificationTime" : 12345,
    "creationTime" : 12345,
    "lastAction" : "CREATED",
    "hidden" : true,
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "owner" : "...",
    "primaryType" : "...",
    "name" : "...",
    "id" : "...",
    "parentPath" : "...",
    "parentId" : "...",
    "path" : "...",
    "relatedNode" : { }
  } ]
}
                
              

GET /items/{id}/children/count

Retrieve the number of children items.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path parent item id
onlyType query only items of the specified type are counted
Optional
showHidden query if true, hidden items are shown
Possible values: true, false
Optional default: false
Response Codes
code condition
200 Item found.
406 Parent item does not exist
Response Body
media type data type description
application/json number (JSON) the number of children

Example

Request
GET /{id}/children/count?showHidden=true&onlyType=File
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

GET /items/{id}/children/paged

Retrieve a paged list of children items.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path parent item id
exclude query a list of fields to exclude from the returned item
Multivalued
Optional
limit query maximum number of items returned
Possible values: integers
onlyType query only items of the specified type are counted
Optional
showHidden query if true, hidden items are shown
Possible values: true, false
Optional default: false
start query start index, counting from 0
Possible values: integers
Response Codes
code condition
200 Item found.
406 Parent item does not exist.
500 Missing 'start' or 'limit' parameter.
Response Body
media type data type description
application/json ItemList (JSON) a JSON representation of the item list

Example

Request
GET /{id}/children/paged?start=1&limit=100&showHidden=true&onlyType=File&exclude=content
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "trashed" : true,
    "externalManaged" : true,
    "shared" : true,
    "locked" : true,
    "publicItem" : true,
    "title" : "...",
    "description" : "...",
    "lastModifiedBy" : "...",
    "lastModificationTime" : 12345,
    "creationTime" : 12345,
    "lastAction" : "CLONED",
    "hidden" : true,
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "owner" : "...",
    "primaryType" : "...",
    "name" : "...",
    "id" : "...",
    "parentPath" : "...",
    "parentId" : "...",
    "path" : "...",
    "relatedNode" : { }
  }, {
    "trashed" : true,
    "externalManaged" : true,
    "shared" : true,
    "locked" : true,
    "publicItem" : true,
    "title" : "...",
    "description" : "...",
    "lastModifiedBy" : "...",
    "lastModificationTime" : 12345,
    "creationTime" : 12345,
    "lastAction" : "RENAMED",
    "hidden" : true,
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "owner" : "...",
    "primaryType" : "...",
    "name" : "...",
    "id" : "...",
    "parentPath" : "...",
    "parentId" : "...",
    "path" : "...",
    "relatedNode" : { }
  } ]
}
                
              

PUT /items/{id}/copy

Copy a given item.

Request Parameters
name type description
destinationId form destination folder id
fileName form name of the copied item
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
Response Codes
code condition
200 Item copied.
406 Source or destination item does not exist.
Response Body
media type data type description
application/json string (JSON) id of the copied item

Example

Request
PUT /{id}/copy
Content-Type: */*
Accept: application/json
Authorization: ...

destinationId=19863b4e-b33f- ... -5b6d2e0e1eee&fileName=myCopy.jpg

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

PUT /items/{id}/description

Set description for the specified item. The body request is interpreted as the description string.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
Response Codes
code condition
200 Item description set.
400 Unable to parse request body.
406 Item does not exist.
Response Body
media type data type description
text/plain string id of the item

Example

Request
PUT /{id}/description
Content-Type: application/json
Accept: text/plain
Authorization: ...

This is a sample description

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: text/plain

                
5f4b3b4e-4b3b- ... -4b3b4e4b3b4e
                
              

GET /items/{id}/download

Download a given item.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
Response Codes
code condition
200 Item found.
406 Item does not exist.
Response Body
media type data type description
application/json Response (JSON) download the item

Example

Request
GET /{id}/download
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "location" : "...",
  "length" : 12345,
  "entity" : { },
  "statusInfo" : {
    "statusCode" : 12345,
    "reasonPhrase" : "...",
    "family" : "REDIRECTION"
  },
  "stringHeaders" : {
    "property1" : [ "...", "..." ],
    "property2" : [ "...", "..." ]
  },
  "closed" : true,
  "cookies" : {
    "property1" : {
      "httpOnly" : true,
      "secure" : true,
      "sameSite" : "STRICT",
      "maxAge" : 12345,
      "comment" : "...",
      "expiry" : 12345,
      "path" : "...",
      "name" : "...",
      "version" : 12345,
      "value" : "...",
      "domain" : "..."
    },
    "property2" : {
      "httpOnly" : true,
      "secure" : true,
      "sameSite" : "LAX",
      "maxAge" : 12345,
      "comment" : "...",
      "expiry" : 12345,
      "path" : "...",
      "name" : "...",
      "version" : 12345,
      "value" : "...",
      "domain" : "..."
    }
  },
  "language" : "...",
  "allowedMethods" : [ "...", "..." ],
  "metadata" : {
    "property1" : [ { }, { } ],
    "property2" : [ { }, { } ]
  },
  "status" : 12345,
  "lastModified" : 12345,
  "links" : [ {
    "rel" : "...",
    "uri" : "...",
    "rels" : [ "...", "..." ],
    "uriBuilder" : { },
    "type" : "...",
    "title" : "...",
    "params" : {
      "property1" : "...",
      "property2" : "..."
    }
  }, {
    "rel" : "...",
    "uri" : "...",
    "rels" : [ "...", "..." ],
    "uriBuilder" : { },
    "type" : "...",
    "title" : "...",
    "params" : {
      "property1" : "...",
      "property2" : "..."
    }
  } ],
  "date" : 12345,
  "headers" : {
    "property1" : [ { }, { } ],
    "property2" : [ { }, { } ]
  },
  "mediaType" : {
    "subtype" : "...",
    "type" : "...",
    "parameters" : {
      "property1" : "...",
      "property2" : "..."
    },
    "wildcardSubtype" : true,
    "wildcardType" : true
  },
  "entityTag" : {
    "weak" : true,
    "value" : "..."
  }
}
                
              

PUT /items/{id}/hidden

Set the item as hidden or visible. The body request is interpreted as the boolean value for the visibility.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
Response Codes
code condition
200 Item visibility set.
400 Unable to parse request body.
406 Item does not exist.
Response Body
media type data type description
text/plain string id of the item

Example

Request
PUT /{id}/hidden
Content-Type: application/json
Accept: text/plain
Authorization: ...

true

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: text/plain

                
5f4b3b4e-4b3b- ... -4b3b4e4b3b4e
                
              

GET /items/{id}/info

Get info of the specified folder.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
Response Codes
code condition
200 Item found.
400 This item is not a folder.
406 Unable to find this folder.
Response Body
media type data type description
application/json string (JSON) folder info

Example

Request
GET /items/{id}/info
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

GET /items/{id}/items

Retrieve a child item by its name.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path parent item id
exclude query a list of fields to exclude from the returned item
Multivalued
Optional
name query the name of the child item to retrieve
Response Codes
code condition
200 Item found.
406 Parent item does not exist.
Response Body
media type data type description
application/json string (JSON) a JSON representation of the item list

Example

Request
GET /{id}/items?name=doc.pdf&exclude=content
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

PUT /items/{id}/metadata

Set metadata for the specified item. The body request is interpreted as the metadata JSON.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
Response Codes
code condition
200 Item metadata set.
400 Unable to parse request body.
406 Item does not exist.
Response Body
media type data type description
text/plain string id of the item

Example

Request
PUT /{id}/metadata
Content-Type: application/json
Accept: text/plain
Authorization: ...

{
    "map": {
        "meta1": "value1",
        "meta2": "value2"
    }
}

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: text/plain

                
5f4b3b4e-4b3b- ... -4b3b4e4b3b4e
                
              

PUT /items/{id}/move

Move a given item.

Request Parameters
name type description
destinationId form destination folder id
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
Response Codes
code condition
200 Item moved.
406 Source or destination item does not exist.
409 Source and destination are the same item.
Response Body
media type data type description
application/json string (JSON) id of the moved item

Example

Request
PUT /{id}/move
Content-Type: */*
Accept: application/json
Authorization: ...

destinationId=19863b4e-b33f- ... -5b6d2e0e1eee

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

GET /items/{id}/path

Retrieve an item by its relative path.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
exclude query a list of fields to exclude from the returned item
Multivalued
Optional
path query the relative path of the item to retrieve
Response Body
media type data type description
application/json ItemWrapper (JSON) a JSON representation of the item

Example

Request
GET /{id}/path?path=folder1&exclude=content
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "item" : {
    "trashed" : true,
    "externalManaged" : true,
    "shared" : true,
    "locked" : true,
    "publicItem" : true,
    "title" : "...",
    "description" : "...",
    "lastModifiedBy" : "...",
    "lastModificationTime" : 12345,
    "creationTime" : 12345,
    "lastAction" : "MOVED",
    "hidden" : true,
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "owner" : "...",
    "primaryType" : "...",
    "name" : "...",
    "id" : "...",
    "parentPath" : "...",
    "parentId" : "...",
    "path" : "...",
    "relatedNode" : { }
  }
}
                
              

PUT /items/{id}/publish

Set the access level of the specified folder.

Request Parameters
name type description
publish form if true, the folder is made public
Possible values: true, false
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
Response Codes
code condition
200 Item found.
400 This item is not a file.
406 Item does not exist.
Response Body
media type data type description
application/json string (JSON) the id of the folder

Example

Request
PUT /items/{id}/publish
Content-Type: */*
Accept: application/json
Authorization: ...

publish=true

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

PUT /items/{id}/rename

Rename a given item.

Request Parameters
name type description
newName form new name for the item
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
Response Codes
code condition
200 Item renamed.
406 Item does not exist.
Response Body
media type data type description
application/json string (JSON) id of the renamed item

Example

Request
PUT /{id}/rename
Content-Type: */*
Accept: application/json
Authorization: ...

newName=newFileName.txt

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

GET /items/{id}/rootSharedFolder

Retrieves the root shared folder for the specified item.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
exclude query a list of fields to exclude from the returned item
Multivalued
Optional
Response Codes
code condition
200 Item found.
400 This item is not a shared.
406 Item does not exist.
Response Body
media type data type description
application/json ItemWrapper (JSON) the id of the root folder

Example

Request
GET /items/{id}/rootSharedFolder
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "item" : {
    "trashed" : true,
    "externalManaged" : true,
    "shared" : true,
    "locked" : true,
    "publicItem" : true,
    "title" : "...",
    "description" : "...",
    "lastModifiedBy" : "...",
    "lastModificationTime" : 12345,
    "creationTime" : 12345,
    "lastAction" : "RENAMED",
    "hidden" : true,
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "owner" : "...",
    "primaryType" : "...",
    "name" : "...",
    "id" : "...",
    "parentPath" : "...",
    "parentId" : "...",
    "path" : "...",
    "relatedNode" : { }
  }
}
                
              

GET /items/{id}/search

Retrieve a list of children items matching a search query.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path parent item id
exclude query a list of fields to exclude from the returned item
Multivalued
Optional
excludeTrashed query if true, exclude items from the bin
Possible values: true, false
Optional default: true
name query the name to search for
items whose names contain this value (case-insensitive) are returned
onlyType query only items of the specified type are counted
Optional
showHidden query if true, hidden items are shown
Possible values: true, false
Optional default: false
Response Codes
code condition
200 Item found.
406 Parent item does not exist.
Response Body
media type data type description
application/json ItemList (JSON) a JSON representation of the item list matching the search query

Example

Request
GET /{id}/search?name=message&showHidden=true&onlyType=File&exclude=content
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "trashed" : true,
    "externalManaged" : true,
    "shared" : true,
    "locked" : true,
    "publicItem" : true,
    "title" : "...",
    "description" : "...",
    "lastModifiedBy" : "...",
    "lastModificationTime" : 12345,
    "creationTime" : 12345,
    "lastAction" : "UPDATED",
    "hidden" : true,
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "owner" : "...",
    "primaryType" : "...",
    "name" : "...",
    "id" : "...",
    "parentPath" : "...",
    "parentId" : "...",
    "path" : "...",
    "relatedNode" : { }
  }, {
    "trashed" : true,
    "externalManaged" : true,
    "shared" : true,
    "locked" : true,
    "publicItem" : true,
    "title" : "...",
    "description" : "...",
    "lastModifiedBy" : "...",
    "lastModificationTime" : 12345,
    "creationTime" : 12345,
    "lastAction" : "MOVED",
    "hidden" : true,
    "ownerNode" : {
      "userName" : "...",
      "userId" : "..."
    },
    "accounting" : {
      "entries" : [ { }, { } ]
    },
    "metadata" : {
      "map" : {
        "property1" : { },
        "property2" : { }
      }
    },
    "owner" : "...",
    "primaryType" : "...",
    "name" : "...",
    "id" : "...",
    "parentPath" : "...",
    "parentId" : "...",
    "path" : "...",
    "relatedNode" : { }
  } ]
}
                
              

GET /items/{id}/versions

Retrieves the list of versions for the specified item.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
Response Codes
code condition
200 Item found.
406 Item does not exist.
Response Body
media type data type description
application/json VersionList (JSON) the version list

Example

Request
GET /items/{id}/versions
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "itemlist" : [ {
    "current" : true,
    "name" : "...",
    "created" : 12345,
    "id" : "..."
  }, {
    "current" : true,
    "name" : "...",
    "created" : 12345,
    "id" : "..."
  } ]
}
                
              

DELETE /items/{id}/versions/{version}

Delete a specific version of a given item.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
version path the requested version
Response Codes
code condition
200 Item deleted.
400 This item's version cannot be removed.
406 Item does not exist.
500 Invalid version.
Response Body
media type data type description
application/json object (JSON) download the item

Example

Request
DELETE /{id}/versions/1.0
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

GET /items/{id}/versions/{version}/download

Download a specific version of a given item.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path item id
Response Codes
code condition
200 Item found.
406 Item does not exist.
500 Invalid version.
Response Body
media type data type description
application/json string (JSON) download the item

Example

Request
GET /{id}/versions/1.0/download
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...